%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_1_32
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_1_32.zip'
%Run program 'problem_1_32.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_1_32_data.mat')
%Define input arguments:
string = {'cvar_risk'};
w = {0.95};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(string, w, H, [], [], [], A, b, Aeq, beq, lb);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('cvar_risk= %g', output.frval));
%Display left hand sides of linear equality:
disp(sprintf('linear equality = %g', output.fAeqval));
%Display residual of linear equality:
disp(sprintf('residual of linear equality = %g', output.rAeqval));
%Display left hand sides of linear inequality:
disp(sprintf('linear inequality = %g', output.fAval));
%Display residual of linear inequality:
disp(sprintf('residual of linear inequality = %g', output.rAval));
%Display optimal point:
disp('optimal point = ');
disp(xout');
